%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Generic Monitor XFce panel plugin (GenMon)
Name:		xfce4-genmon-plugin
Version:	4.2.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-genmon-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-genmon-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel

%description
This plugin cyclically spawns the indicated script/program, captures its
output (stdout) and displays the resulting string into the panel.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/xfce4/panel/plugins/libgenmon.so
%dir %{_datadir}/xfce4/genmon/
%{_datadir}/xfce4/genmon/scripts/
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.genmon.{svg,png}


%changelog
* Wed Dec 25 2024 wally <wally> 4.2.1-1.mga10
+ Revision: 2130133
- new version 4.2.1

* Sun Apr 23 2023 wally <wally> 4.2.0-1.mga9
+ Revision: 1954417
- new version 4.2.0

* Mon Apr 04 2022 umeabot <umeabot> 4.1.1-2.mga9
+ Revision: 1843481
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 wally <wally> 4.1.1-1.mga9
+ Revision: 1691952
- new version 4.1.1

* Wed Dec 23 2020 wally <wally> 4.1.0-1.mga8
+ Revision: 1663211
- new version 4.1.0

* Mon Nov 09 2020 wally <wally> 4.0.2-4.mga8
+ Revision: 1644134
- add patches from upstream to support new libxfce4ui API and to replace deprecated xfce_create_panel_button (mga#27581)

* Sat Oct 31 2020 wally <wally> 4.0.2-3.mga8
+ Revision: 1640981
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sat Feb 15 2020 umeabot <umeabot> 4.0.2-2.mga8
+ Revision: 1528190
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 4.0.2-1.mga8
+ Revision: 1428938
- new version 4.0.2

* Sun Sep 23 2018 umeabot <umeabot> 4.0.1-2.mga7
+ Revision: 1301862
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 wally <wally> 4.0.1-1.mga7
+ Revision: 1174840
- new version 4.0.1

* Sat Sep 30 2017 wally <wally> 4.0.0-1.mga7
+ Revision: 1161946
- new version 4.0.0

* Tue Feb 09 2016 umeabot <umeabot> 3.4.0-7.mga6
+ Revision: 952531
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 3.4.0-6.mga5
+ Revision: 817441
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-5.mga5
+ Revision: 746526
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 3.4.0-4.mga5
+ Revision: 697490
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.4.0-3.mga4
+ Revision: 520483
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 386825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 3.4.0-1.mga3
+ Revision: 338265
- add patch from upstream git to allow 250 ms timer period
- exclude plugin .so from provides
- clean .spec
- import from mdv


* Tue Nov 06 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.4.0-1
+ Revision: 822036
- fix file list
- update to new version 3.4.0
- spec file clean

* Tue Apr 17 2012 Crispin Boylan <crisb@mandriva.org> 3.3.1-2
+ Revision: 791556
- Rebuild

* Sun Apr 08 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.1-1
+ Revision: 789804
- update to new version 3.3.1

* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.0-1
+ Revision: 672532
- update to new version 3.3.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-8mdv2010.1
+ Revision: 543426
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 3.2-7mdv2010.0
+ Revision: 446026
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-6mdv2009.1
+ Revision: 349456
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-5mdv2009.1
+ Revision: 294996
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 3.2-4mdv2009.0
+ Revision: 269786
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-3mdv2009.0
+ Revision: 199474
- Patch1: kill unused pipes

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-2mdv2009.0
+ Revision: 195034
- Patch0: prevent genmon to spawn zobie processes (upstream bug #3896)

* Mon Mar 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-1mdv2008.1
+ Revision: 188248
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1-2mdv2008.1
+ Revision: 110120
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL
- use upstream name

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1-1mdv2008.0
+ Revision: 30370
- add buildrequires on per-XML-Parser
- own translation files
- new version

